# CEGUI::AbsoluteDim Class Reference

Dimension type that represents an absolute pixel value. Implements BaseDim interface. More...

Inheritance diagram for CEGUI::AbsoluteDim:

[legend]
Collaboration diagram for CEGUI::AbsoluteDim:

[legend]
List of all members.

## Public Member Functions

| AbsoluteDim (float val)
| Constructor.
void | setValue (float val)
| Set the current value of the AbsoluteDim.

## Protected Member Functions

float | getValue_impl (const Window &wnd) const
| Implementataion method to return the base value for this BaseDim. This method should not attempt to apply the mathematical operator; this is handled automatically.
float | getValue_impl (const Window &wnd, const Rect &container) const
| Implementataion method to return the base value for this BaseDim. This method should not attempt to apply the mathematical operator; this is handled automatically by BaseDim.
void | writeXMLElementName_impl (OutStream &out_stream) const
| Implementataion method to output real xml element name to an OutStream. This method should not write the element opening '<' character, nor close the element, it must write just the element name itself.
void | writeXMLElementAttributes_impl (OutStream &out_stream) const
| Implementataion method to output xml element attributes to an OutStream. This method should not write the element opening '<' character, nor close the element, it must write just the element attributes.
BaseDim * | clone_impl () const
| Implementataion method to return a clone of this sub-class of BaseDim. This method should not attempt to clone the mathematical operator or operand; theis is handled automatically by BaseDim.

## Detailed Description

Dimension type that represents an absolute pixel value. Implements BaseDim interface.

## Constructor & Destructor Documentation

CEGUI::AbsoluteDim::AbsoluteDim | ( | float | val | ) |

Constructor.

Parameters:

  | val | float value to be assigned to the AbsoluteDim.